nose (1.3.7-9) unstable; urgency=medium

  * Team upload.

  [ Michael R. Crusoe ]
  * debian/patches/python3.11.diff: workaround removal of
    inspect.getargspec() in Python 3.11 (was deprecated back in Python 3.0)
    Closes: #1024235
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Testsuite: autopkgtest-pkg-python (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Remove field Testsuite on binary package python-nose-doc that duplicates
    source.
  * watch file standard 4 (routine-update)
  * Update lintian override selector

  [ Dmitry Shachnev ]
  * Update tests to adapt for TestCase.__str__ change in Python 3.11.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 13 Dec 2022 15:29:35 +0300

nose (1.3.7-8) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Dmitry Shachnev ]
  * Adapt to setuptools 58 removing support for 2to3 during builds:
    - Add a patch to fix syntax in doc/conf.py for Python 3.
    - Add a patch to remove code that relied on setuptools calling 2to3.
    - Run 2to3 manually after build and before running tests.
    - Update the commands to run tests.
    Closes: #997758. Thanks to Jakub Wilk for the suggestions!

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 30 Oct 2021 22:25:17 +0300

nose (1.3.7-7) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #937156

 -- Sandro Tosi <morph@debian.org>  Fri, 17 Jul 2020 16:44:16 -0400

nose (1.3.7-6) unstable; urgency=medium

  * Add a patch to use class-based directives, to fix build with Sphinx 3.x
    (closes: #963660).
  * Update to debhelper compat level 13.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 25 Jun 2020 12:04:55 +0300

nose (1.3.7-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Use debhelper-compat instead of debian/compat.

  [ Dmitry Shachnev ]
  * Build the documentation using the Python 3 version of sphinx
    (LP: #1859880).
  * Wrap html_sidebars value into a list to fix build with Sphinx 2.3.
  * Make the docs look better by unsetting max-width option.
  * Remove the nosetests-3.X versioned entry point.
  * Update to debhelper compat level 12.
  * Provide the documentation symlinks in /usr/share/doc/python{,3}-nose.
  * Drop libjs-jquery.{hotkeys,isonscreen,tablesorter} build-dependencies,
    they seem to be no longer needed.
  * Drop python-coverage build-dependency, to unblock its removal.
  * Instead add python3-coverage to make the related code still tested.
  * Bump Standards-Version to 4.5.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 08 Feb 2020 14:25:44 +0300

nose (1.3.7-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces

  [ Helmut Grohne ]
  * Mark all packages Multi-Arch: foreign (closes: #892938).

  [ Dmitry Shachnev ]
  * Switch to pybuild buildsystem.
  * Move all clean logic to debian/clean file.
  * Remove obsolete Breaks/Replaces for pre-oldstable versions.
  * Remove debian/python-nose.prerm, leftover from old times.
  * Bump Standards-Version to 4.1.3, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 22 Mar 2018 21:27:59 +0300

nose (1.3.7-3) unstable; urgency=medium

  * Add a patch to fix test failures with Python 3.6 (closes: #880232).
  * Update Homepage field to use the new readthedocs.io domain.
  * Bump Standards-Version to 4.1.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 30 Oct 2017 23:46:01 +0300

nose (1.3.7-2) unstable; urgency=medium

  * Add a patch to make coverage plugin compatible with python-coverage 4.1
    (closes: #828224).
  * Bump Standards-Version to 3.9.8, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 29 Jun 2016 13:26:34 +0300

nose (1.3.7-1) unstable; urgency=medium

  [ Brian May ]
  * New upstream version.

  [ Dmitry Shachnev ]
  * Backport upstream commit that fixes tests failures with Python 3.5
    (closes: #811468).
  * Use HTTPS in Vcs-Git field and in debian/watch.
  * Override Lintian false-positive warning about missing source for
    unit_tests/support/doctest/noname_wrapped.not_pyc.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 03 Feb 2016 10:03:09 +0300

nose (1.3.6-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Update debian/watch to use pypi.debian.net redirector.
  * Bump debhelper compatibility level to 9.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Add John Szakmeister’s key to debian/upstream/signing-key.asc,
    and tell uscan to verify it via debian/watch.
  * Explicitly build-depend on dh-python.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 10 Apr 2015 09:36:03 +0300

nose (1.3.4-2) unstable; urgency=medium

  * Change maintainer to the team.

 -- Gustavo Noronha Silva <kov@debian.org>  Mon, 01 Dec 2014 14:30:35 -0200

nose (1.3.4-1) unstable; urgency=medium

  * New upstream bugfix release.
  * debian/patches/fix_constructor: drop, applied upstream.
  * Update my email address.
  * Update debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 02 Sep 2014 14:00:40 +0400

nose (1.3.3-2) unstable; urgency=low

  * Add patch to make sure we call super constructor for LazySuite. Without
    this, tests fail under Python3.4 as _removed_tests not defined. Patch
    copied from https://github.com/nose-devs/nose/pull/811 which has been
    included upstream in git. Closes: #757640.

 -- Brian May <bam@debian.org>  Mon, 11 Aug 2014 09:21:01 +1000

nose (1.3.3-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Dmitry Shachnev <mitya57@gmail.com>  Mon, 26 May 2014 09:06:55 +0400

nose (1.3.2-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Drop patches applied upstream (for issues 780, 782, 783 and 788).
  * Refresh disable-unstable-tests patch.

 -- Dmitry Shachnev <mitya57@gmail.com>  Sun, 04 May 2014 11:12:46 +0400

nose (1.3.1-2) unstable; urgency=medium

  * Backport a patch (issue780) to fix UnboundMethod regression with
    Python 3.
  * Add myself to Uploaders.

 -- Dmitry Shachnev <mitya57@gmail.com>  Fri, 28 Mar 2014 13:28:26 +0400

nose (1.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop d/patches/issue759, applied in the new version.
  * Add three new patches (issue782, issue783 and issue788) to fix
    various test failures (closes: #741750).
  * Disable one more unstable test.
  * Remove unit_tests/support/doctest/noname_wrapped.not_pyc in
    clean target.

 -- Dmitry Shachnev <mitya57@gmail.com>  Wed, 19 Mar 2014 10:31:26 -0400

nose (1.3.0-3) unstable; urgency=medium

  * Team upload.
  * d/patches/issue759: Add a patch from Barry Warsaw to fix FTBFS
    with Python 3.4.
  * d/control: Bump Standards-Version to 3.9.5, no changes needed.
  * Rebuild closes: #730749.

 -- Dmitry Shachnev <mitya57@gmail.com>  Wed, 12 Feb 2014 18:48:36 +0400

nose (1.3.0-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control (Build-Depends): Added libjs-jquery-hotkeys,
    libjs-jquery-isonscreen and libjs-jquery-tablesorter (closes: #726695).

 -- Michael Banck <mbanck@debian.org>  Sat, 23 Nov 2013 17:31:29 +0100

nose (1.3.0-2) unstable; urgency=low

  * Team upload.
  * Upload to unstable.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Dmitry Shachnev ]
  * Rebuild without python2.6 (closes: #675753, #707897).
  * Drop nosetests-3.x scripts. There is no easy way to provide these
    scripts for all supported Python 3 versions, and there are other
    ways to do the same thing (like running python3.x -m nose).
  * Install a manpage for nosetests-2.7.
  * Update the Homepage: field.

 -- Dmitry Shachnev <mitya57@gmail.com>  Sun, 19 May 2013 16:15:23 +0400

nose (1.3.0-1) experimental; urgency=low

  [ Dmitry Shachnev ]
  * Team upload.
  * New upstream release (closes: #675554).
    - Fixes exceptions in tests generator (closes: #663465, thanks to
      Jakub Wilk for the bug report).
    - Provides __main__.py, which allows using nose as "python3 -m nose"
      (thanks to Stefano Rivera for the patch).
  * Build-depend on python-coverage (for the test suite).
  * Bump Standards-Version to 3.9.4, no changes needed.
  * Disable some unstable tests (in multiprocessing module) to make the
    package not FTBFS.
  * Run the tests for Python 3.x during build.
  * debian/patches/manpage-formatting: dropped, the issue is properly
    fixed upstream.
  * debian/rules: disable HTTP traffic during build.
  * Refresh other patches.
  * Update debian/clean.

  [ Charlie Smotherman ]
  * Removed myself from uploaders in debian/control

 -- Dmitry Shachnev <mitya57@gmail.com>  Thu, 18 Apr 2013 18:24:11 +0400

nose (1.1.2-3) unstable; urgency=low

  * Team upload.
  * Rebuild with python3-defaults 3.2.3~rc1-2, to generate correct
    python3:Depends.
  * Bumped Standards Version to 3.9.3 (no changes needed).

 -- Stefano Rivera <stefanor@debian.org>  Mon, 19 Mar 2012 15:43:59 +0200

nose (1.1.2-2) unstable; urgency=low

  * Team upload.
  * Add versioned Breaks & Replaces in python-nose-doc, for moved doc-base
    file.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 06 Feb 2012 22:30:11 +0200

nose (1.1.2-1) unstable; urgency=low

  [ Charlie Smotherman ]
  * New Upstream release. Closes: #646394
  * Switched to source format 3.0 (quilt).
  * Package builds twice in a row now. Closes: #608678
  * Increased debhelper compat level to 7.
  * Migrated from debian/pyversions to X-P-V
  * Migrated debian/copyright to DEP5.
  * Pointed debian/watch at PyPI
  * Use dh7 tiny rules. Bumped debhelper B-D to >= 7.0.50~
  * Use dh_python2. Closes: #631406
    - Bump python B-D to python-all (>= 2.6.6-3~)
  * Use dh_sphinxdoc. Closes: #636079
  * Build python 3 package. Closes: #604038, #647920
    - B-D on python3-all, python3-setuptools.
    - Break documentation into a separate python-nose-doc package.
  * Add myself to Uploaders.
  * Install manpages from debian/rules

  [ Stefano Rivera ]
  * Team upload.
  * Remove Google Analytics js from documentation template.
  * Clean correctly after unit tests.
  * Wrap and sort long fields in debian/control.
  * Respect nocheck in DEB_BUILD_OPTIONS.
  * Ensure seteup.py doesn't use distribute_setup.
  * Rework python 3 package, not to use alternatives.
  * Fix shebangs to match script names.
  * Provide rst symlink in python-nose-doc.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 05 Feb 2012 00:42:33 +0200

nose (1.0.0-1) unstable; urgency=low

  * Team upload.

  [ Jakub Wilk ]
  * Fix watch file.

  [ Piotr Ożarowski ]
  * New upstream release (closes: #608677)
    - adds Python 2.7 (closes: #608679)
  * Remove build dir in clean target

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 17 Apr 2011 22:13:12 +0200

nose (0.11.1-1) unstable; urgency=low

  * New upstream release
  * Documentation is now included
  * debian/control
    - build-depend on python-sphinx
    - bump build-dependency on python-dev to >= 2.5.4-1~
    - bump standards to 3.8.1, no changes necessary
    - added dependency to libjs-jquery
  * debian/rules
    - addded --install-layout=deb to DEB_PYTHON_INSTALL_ARGS
    - build the documentation using Sphinx
  * debian/doc-base
    - added doc-base file to register documentation

 -- Torsten Marek <shlomme@debian.org>  Sun, 17 May 2009 12:32:32 +0200

nose (0.10.4-2) unstable; urgency=low

  [ Stephan Peijnik ]
  * Upload to unstable
  * Added misc:Depends to fix lintian warning

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Wed, 18 Feb 2009 08:48:35 +0100

nose (0.10.4-1) experimental; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

  [ Piotr Ożarowski ]
  * New upstream release

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Thu, 06 Nov 2008 19:50:27 +0100

nose (0.10.3-1) unstable; urgency=low

  [Torsten Marek]
  * New upstream release (Closes: #461994)
  * debian/control
    - bump standards version to 3.8.0, no changes necessary
    - add suggestions for python-coverage (Closes: #457053)
    - change dependency on python-setuptools into
      python-pkg-resources (Closes: #468719)
    - added myself to uploaders

  [Gustavo Noronha Silva]
  * debian/control:
    - remove -1 from build-dep on setuptools

 -- Torsten Marek <shlomme@debian.org>  Thu, 12 Jun 2008 13:39:43 +0200

nose (0.10.1-1) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - uniforming Vcs-Browser field

  [ Ondrej Certik ]
  * New upstream release
  * Standards version upgraded to 3.7.3

 -- Gustavo Noronha Silva <kov@debian.org>  Sun, 10 Feb 2008 22:27:38 -0200

nose (0.10.0-1) unstable; urgency=low

  [ Piotr Ożarowski ]
  * Vcs-Browser and Homepage fields added
  * XS-Vcs-Svn field renamed to Vcs-Svn

  [ Gustavo Noronha Silva ]
  * New upstream release (Closes: #449072)

 -- Gustavo Noronha Silva <kov@debian.org>  Sat, 17 Nov 2007 03:31:08 -0200

nose (0.9.3-1) unstable; urgency=low

  * New upstream release

 -- Gustavo Noronha Silva <kov@debian.org>  Wed, 27 Jun 2007 20:57:42 -0300

nose (0.9.2-3) unstable; urgency=low

  [ Piotr Ożarowski ]
  * New python-support handles egg's directory name correctly
    - bump python-support required version
    - remove mv part from debian/rules
    (Closes: #423978)

 -- Gustavo Noronha Silva <kov@debian.org>  Sat, 19 May 2007 17:22:13 -0300

nose (0.9.2-2) unstable; urgency=low

  * Uploading to unstable

 -- Gustavo Noronha Silva <kov@debian.org>  Sun, 15 Apr 2007 14:28:01 -0300

nose (0.9.2-1) experimental; urgency=low

  * New upstream release
  * debian/rules:
  - remove the incorrect path in which upstream is installing
    the manpage
  * debian/manpages, debian/nosetests.1:
  - have the upstream manpage be installed, instead of the one I provide
    (it is the one upstream is providing now, but updated)

 -- Gustavo Noronha Silva <kov@debian.org>  Thu, 15 Feb 2007 00:30:17 -0200

nose (0.9.1-1) experimental; urgency=low

  [ Piotr Ozarowski ]
  * New upstream release
  * debian/control:
  - moved python-dev to Build-Depends: (to satisfy lintian)
  - added XS-Vcs-Svn field
  * debian/rules:
  - simplified a little bit (`pyversions -vd' instead of sed)
  * Added debian/watch file
  * Bumped debhelper compatibility from 4 to 5

 -- Gustavo Noronha Silva <kov@debian.org>  Sat, 13 Jan 2007 19:52:32 -0200

nose (0.9.0-2) unstable; urgency=low

  * debian/control:
  - added python-setuptools to Depends (Closes: #395287)
  - added XS-Python-Version
  * debian/docs:
  - added, now install README.txt documentation (addresses #395289)
  * debian/examples:
  - added; install the examples provided, as well
  * debian/nosetests.1, debian/manpages:
  - added; manpage generated by help2man and adapted to add some important
    information (Closes: #395289)

 -- Gustavo Noronha Silva <kov@debian.org>  Thu, 26 Oct 2006 22:47:27 -0300

nose (0.9.0-1) unstable; urgency=low

  * Initial Release (Closes: #366786)
  - thanks to Arnaud Fontaine <arnaud@andesi.org> for implementing the new
    python policy

 -- Gustavo Noronha Silva <kov@debian.org>  Sun,  7 May 2006 22:49:58 -0300
